Results 1 to 10 of 21

Thread: AMD Releases New Catalyst Linux Legacy Driver

Hybrid View

  1. #1
    Join Date
    Jan 2007
    Posts
    13,393

    Default AMD Releases New Catalyst Linux Legacy Driver

    Phoronix: AMD Releases New Catalyst Linux Legacy Driver

    While owners of ATI/AMD Radeon HD 5000/6000/7000 series graphics cards have already had a Catalyst 12.6 Linux driver -- which many Linux users found to be disappointing -- today AMD has released a Catalyst 12.6 "Legacy" Linux driver for those using the older generations of Radeon hardware...

    http://www.phoronix.com/vr.php?view=MTEzNDA

  2. #2
    Join Date
    Dec 2010
    Location
    MA, USA
    Posts
    1,100

    Default

    I feel like AMD should just add the last few missing features in the legacy drivers and make sure its compatible with the latest kernels and xservers. I don't blame them for not wanting to keep up with it, but I find it unacceptable to stop working on something with blatant missing features. Either that or they need to hire more open source developers.

  3. #3
    Join Date
    Nov 2008
    Location
    Old Europe
    Posts
    879

    Default

    I welcome this move. I use the FOSS driver on HD 4850 but it's nice to have
    the option to use the binary driver for some time until the FOSS further matures.
    In particular users with mobile variants of those chips actually still _need_ this support.

    Nevertheless, the notes seem to be Windows centric:

    Quote Originally Posted by AMD web
    The reason for the shift in support policy is largely due to the fact that the AMD Radeon HD 2000, AMD Radeon HD 3000,
    and AMD Radeon HD 4000 Series have been optimized to their maximum potential from a performance and feature perspective.
    From a feature perspective?

    How is the UVD support coming along?
    Is L5.1 officially supported now?
    Last edited by entropy; 07-05-2012 at 09:20 PM.

  4. #4

    Default

    Quote Originally Posted by entropy View Post
    Is L5.1 officially supported now?
    Code:
    sudo amdconfig --set-pcs-u32=MCIL,HWUVD_H264Level51Support,1

  5. #5
    Join Date
    Apr 2012
    Location
    Germany
    Posts
    205

    Default

    Any notes which kernel versions are supported? Anyways, now I can get back to Slackware current on my laptop, yeah.
    Edit: Why isn't it mentioned at all in the article that this is a Beta, not a Release version?
    Last edited by TobiSGD; 07-05-2012 at 10:46 PM.

  6. #6
    Join Date
    Nov 2010
    Posts
    249

    Default

    I don't use Linux as my main OS. For the moment that would be Windows 7. I do have a linux box that I use, and that has a Radeon 4670 in it. It would suck balls if that graphics card would suddenly become a problem. I use a Radeon 6750 on my Windows machine for gaming and I'm not about to dual boot. I hate it.

  7. #7
    Join Date
    Jan 2011
    Posts
    444

    Default

    Good to get an update. i still haven't purchased a new GFX card as the market is yet to give the option I need, and to compare. As in I'm not playing any demanding games. The rival is yet to release a new card to compare to AMD's, before purchase. and there is time to wait for price reductions in all that.

    If this driver fixes problems with Everquest then I will simply go out and update with AMD, other wise I want to try out Nvidia but their price and performace needs to compete with AMD. Nvidia is yet to release a mid-range new card.

  8. #8
    Join Date
    Feb 2012
    Posts
    366

    Default

    Quote Originally Posted by RussianNeuroMancer View Post
    Code:
    sudo amdconfig --set-pcs-u32=MCIL,HWUVD_H264Level51Support,1
    How is this "official support"? Remember, official support means a message in the control panel, it means a user doesn't need to inform themselves before diving it.

    scnr

  9. #9
    Join Date
    Nov 2009
    Posts
    379

    Default

    Quote Originally Posted by Gusar View Post
    How is this "official support"? Remember, official support means a message in the control panel, it means a user doesn't need to inform themselves before diving it.

    scnr
    Sounds like one of my tutors We need mooooore buttons!!!

  10. #10
    Join Date
    Nov 2008
    Location
    Old Europe
    Posts
    879

    Default

    Quote Originally Posted by disi View Post
    Sounds like one of my tutors We need mooooore buttons!!!
    Having a CL-interface only is not the problem IMHO. It's more like "is it documented or not?".
    Is it? If not, it is obviously not supported officially and hints "very bad things may happen".
    Or worse "don't expect us to fix this in a _legacy_ release".

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •